package cn.com.ctop.kuaishou.modules.report.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface KuaiShouYiCheReportMapper {
    Integer getMaxHourByProjectIdAndStatDate(@Param("statDate") String statDate, @Param("projectId") Long projectId);

    List<JSONObject> selectReportByMap(Map<String, Object> requestMap);

    JSONObject selectSumReportByMap(Map<String, Object> requestMap);

    JSONObject getDailyReportByMap(Map<String, Object> requestMap);

    JSONObject getDirectApplicationReportByMap(Map<String, Object> requestMap);

    List<JSONObject> getChannelSubcontractingReportByMap(Map<String, Object> requestMap);
}
